package intrinsic.mx.managers;

public class BrowserManagerImpl extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.managers.IBrowserManager {

	/** Accessors */
	public String base;
	public String url;
	public String title;
	public String fragment;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public BrowserManagerImpl() {
}


/** Static Methods */
public static native intrinsic.mx.managers.IBrowserManager getInstance();

/** Methods */
public native void setTitle(String arg0);
public native void init();
public native void init(String arg0);
public native void init(String arg0, String arg1);
public native void initForHistoryManager();
public native void setFragment(String arg0);

}
